#include<bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    float ai, pi, m;
    long long sum = 0;

    cin >> n;

    float A[n], P[n], S[n];

    for(int i = 0; i < n; i++)
    {
        cin >> ai >> pi;

        A[i] = ai;
        P[i] = pi;
        S[i] = pi;
    }

    sort(S, S + sizeof(S) / sizeof(S[0]));

    m = S[n/2];

    for(int j = 0; j < n; j++)
    {
        if(P[j] >= m)
        {
            sum += A[j];
        }
    }

    printf("%.3f", sum * (m/100));
}